<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
	<th:block th:include="include :: header('修改机构')" />
	<!--省市区-->
	<script src="https://cdn.bootcss.com/jquery/1.12.4/jquery.min.js"></script>
	<script th:src="@{/ajax/libs/distpicker/distpicker.data.js}"></script>
	<script th:src="@{/ajax/libs/distpicker/distpicker.js}"></script>
</head>
<body class="white-bg">
<div class="wrapper wrapper-content animated fadeInRight ibox-content">
	<form class="form-horizontal m" id="form-dept-edit" th:object="${dept}">
		<input name="deptId" type="hidden" th:field="*{deptId}" />
		<input id="treeId" name="parentId" type="hidden" th:field="*{parentId}" />
		<div class="form-group">
			<label class="col-sm-2 control-label">上级机构：</label>
			<div class="col-sm-8">
				<div class="input-group">
					<input class="form-control" type="text" id="treeName" onclick="selectDeptTree()" readonly="true" th:field="*{parentName}">
					<span class="input-group-addon"><i class="fa fa-search"></i></span>
				</div>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label is-required">机构名称：</label>
			<div class="col-sm-8">
				<input class="form-control" type="text" name="deptName" th:field="*{deptName}" id="deptName" required>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label is-required">排序号：</label>
			<div class="col-sm-8">
				<input class="form-control" type="text" name="orderNum" th:field="*{orderNum}" required>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">邮箱：</label>
			<div class="col-sm-8">
				<input class="form-control" type="text" name="email" th:field="*{email}">
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">机构类型：</label>
			<div class="col-sm-7">
				<select name="deptType" class="form-control m-b" th:with="type=${@dict.getType('sys_dept_type')}">
					<option value="">请选择</option>
					<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictValue}" th:field="*{deptType}"></option>
				</select>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">行政区划：</label>
			<div class="col-sm-10">
				<div data-toggle="distpicker" >
					<label class="sr-only" for="province">省</label>
					<select class="form-control" id="province" name="province"
							style="width: 170px;float:left;margin:1px;" th:data-province="*{province}"></select>
					<label class="sr-only" for="city">市</label>
					<select class="form-control" id="city" name="city" style="width: 170px;float:left;margin:1px;"
							th:data-city="*{city}"></select>
					<label class="sr-only" for="town">区</label>
					<select class="form-control" id="town" name="town" style="width: 170px;float:left;margin:1px;"
							th:data-town="*{town}"></select>
				</div>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2 control-label">机构状态：</label>
			<div class="col-sm-8">
				<div class="radio-box" th:each="dict : ${@dict.getType('sys_normal_disable')}">
					<input type="radio" th:id="${dict.dictCode}" name="status" th:value="${dict.dictValue}" th:field="*{status}">
					<label th:for="${dict.dictCode}" th:text="${dict.dictLabel}"></label>
				</div>
			</div>
		</div>
	</form>
</div>
<th:block th:include="include :: footer" />
<script type="text/javascript">
	var prefix = ctx + "system/dept";

	$("#distpicker").distpicker({
		autoSelect: false
	});

	$("#form-dept-edit").validate({
		onkeyup: false,
		rules:{
			deptName:{
				remote: {
					url: prefix + "/checkDeptNameUnique",
					type: "post",
					dataType: "json",
					data: {
						"deptId": function() {
							return $("#deptId").val();
						},
						"parentId": function() {
							return $("input[name='parentId']").val();
						},
						"deptName": function() {
							return $.common.trim($("#deptName").val());
						}
					},
					dataFilter: function(data, type) {
						return $.validate.unique(data);
					}
				}
			},
			orderNum:{
				digits:true
			},
		},
		messages: {
			"deptName": {
				remote: "机构已经存在"
			}
		},
		focusCleanup: true
	});

	function submitHandler() {
		if ($.validate.form()) {
			$.operate.save(prefix + "/edit", $('#form-dept-edit').serialize());
		}
	}

	/*部门管理-修改-选择部门树*/
	function selectDeptTree(){
		console.log(222222)
		var deptId = $("#treeId").val();
		var excludeId = $("input[name='deptId']").val();
		if(deptId > 0) {
			var options = {
				title: '部门选择',
				width: "380",
				url: prefix + "/selectDeptTree/" + $("#treeId").val() + "/" + excludeId,
				callBack: doSubmit
			};
			$.modal.openOptions(options);
		} else {
			$.modal.alertError("父部门不能选择");
		}
	}

	function doSubmit(index, layero) {
		var tree = layero.find("iframe")[0].contentWindow.$._tree;
		if ($.tree.notAllowLastLevel(tree)) {
			var body = $.modal.getChildFrame(index);
			$("#treeId").val(body.find('#treeId').val());
			$("#treeName").val(body.find('#treeName').val());
			$.modal.close(index);
		}
	}
</script>
</body>
</html>
